#![allow(non_camel_case_types)]

use vulkan_sys::prelude::*;

// instance
pub type PFN_GetPhysicalDeviceProcAddr = PFN_vkVoidFunction;
pub type PFN_vkEnumerateDeviceLayerProperties = PFN_vkVoidFunction;
pub type PFN_vkEnumerateInstanceVersion = PFN_vkVoidFunction;
pub type PFN_vkEnumeratePhysicalDeviceGroups = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceFeatures2 = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceProperties2 = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceFormatProperties2 = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceImageFormatProperties2 = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceSparseImageFormatProperties2 = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalBufferProperties = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalFenceProperties = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalSemaphoreProperties = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceToolProperties = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDevicePresentRectanglesKHR = PFN_vkVoidFunction;
pub type PFN_vkEnumeratePhysicalDeviceGroupsKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalBufferPropertiesKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalSemaphorePropertiesKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalFencePropertiesKHR = PFN_vkVoidFunction;
pub type PFN_vkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceSurfaceCapabilities2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceDisplayProperties2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceDisplayPlaneProperties2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetDisplayModeProperties2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetDisplayPlaneCapabilities2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceFragmentShadingRatesKHR = PFN_vkVoidFunction;
pub type PFN_vkDebugReportMessageEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceExternalImageFormatPropertiesNV = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceSurfaceCapabilities2EXT = PFN_vkVoidFunction;
pub type PFN_vkSubmitDebugUtilsMessageEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceMultisamplePropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceCalibrateableTimeDomainsEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceToolPropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceCooperativeMatrixPropertiesNV = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = PFN_vkVoidFunction;
pub type PFN_vkCreateHeadlessSurfaceEXT = PFN_vkVoidFunction;
pub type PFN_vkAcquireDrmDisplayEXT = PFN_vkVoidFunction;
pub type PFN_vkGetDrmDisplayEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceOpticalFlowImageFormatsNV = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceSurfaceFormats2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetPhysicalDeviceQueueFamilyProperties2 = PFN_vkVoidFunction;

// device
pub type PFN_vkGetDeviceMemoryCommitment = PFN_vkVoidFunction;
pub type PFN_vkQueueBindSparse = PFN_vkVoidFunction;
pub type PFN_vkGetFenceStatus = PFN_vkVoidFunction;
pub type PFN_vkGetRenderAreaGranularity = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceGroupPeerMemoryFeatures = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDeviceMask = PFN_vkVoidFunction;
pub type PFN_vkCmdDispatchBase = PFN_vkVoidFunction;
pub type PFN_vkGetImageSparseMemoryRequirements2 = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceQueue2 = PFN_vkVoidFunction;
pub type PFN_vkCreateSamplerYcbcrConversion = PFN_vkVoidFunction;
pub type PFN_vkDestroySamplerYcbcrConversion = PFN_vkVoidFunction;
pub type PFN_vkCreateDescriptorUpdateTemplate = PFN_vkVoidFunction;
pub type PFN_vkDestroyDescriptorUpdateTemplate = PFN_vkVoidFunction;
pub type PFN_vkUpdateDescriptorSetWithTemplate = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndirectCount = PFN_vkVoidFunction;
pub type PFN_vkCreateRenderPass2 = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndexedIndirectCount = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginRenderPass2 = PFN_vkVoidFunction;
pub type PFN_vkCmdNextSubpass2 = PFN_vkVoidFunction;
pub type PFN_vkCmdEndRenderPass2 = PFN_vkVoidFunction;
pub type PFN_vkResetQueryPool = PFN_vkVoidFunction;
pub type PFN_vkGetSemaphoreCounterValue = PFN_vkVoidFunction;
pub type PFN_vkWaitSemaphores = PFN_vkVoidFunction;
pub type PFN_vkSignalSemaphore = PFN_vkVoidFunction;
pub type PFN_vkGetBufferOpaqueCaptureAddress = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceMemoryOpaqueCaptureAddress = PFN_vkVoidFunction;
pub type PFN_vkCreatePrivateDataSlot = PFN_vkVoidFunction;
pub type PFN_vkDestroyPrivateDataSlot = PFN_vkVoidFunction;
pub type PFN_vkSetPrivateData = PFN_vkVoidFunction;
pub type PFN_vkGetPrivateData = PFN_vkVoidFunction;
pub type PFN_vkCmdSetEvent2 = PFN_vkVoidFunction;
pub type PFN_vkCmdResetEvent2 = PFN_vkVoidFunction;
pub type PFN_vkCmdWaitEvents2 = PFN_vkVoidFunction;
pub type PFN_vkCmdPipelineBarrier2 = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteTimestamp2 = PFN_vkVoidFunction;
pub type PFN_vkQueueSubmit2 = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyBuffer2 = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyImage2 = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyBufferToImage2 = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyImageToBuffer2 = PFN_vkVoidFunction;
pub type PFN_vkCmdBlitImage2 = PFN_vkVoidFunction;
pub type PFN_vkCmdResolveImage2 = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginRendering = PFN_vkVoidFunction;
pub type PFN_vkCmdEndRendering = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCullMode = PFN_vkVoidFunction;
pub type PFN_vkCmdSetFrontFace = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPrimitiveTopology = PFN_vkVoidFunction;
pub type PFN_vkCmdSetViewportWithCount = PFN_vkVoidFunction;
pub type PFN_vkCmdSetScissorWithCount = PFN_vkVoidFunction;
pub type PFN_vkCmdBindVertexBuffers2 = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthTestEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthWriteEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthCompareOp = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthBoundsTestEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetStencilTestEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetStencilOp = PFN_vkVoidFunction;
pub type PFN_vkCmdSetRasterizerDiscardEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthBiasEnable = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPrimitiveRestartEnable = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceBufferMemoryRequirements = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceImageMemoryRequirements = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceImageSparseMemoryRequirements = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceGroupPresentCapabilitiesKHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceGroupSurfacePresentModesKHR = PFN_vkVoidFunction;
pub type PFN_vkAcquireNextImage2KHR = PFN_vkVoidFunction;
pub type PFN_vkCreateSharedSwapchainsKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginRenderingKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdEndRenderingKHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceGroupPeerMemoryFeaturesKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDeviceMaskKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdDispatchBaseKHR = PFN_vkVoidFunction;
pub type PFN_vkTrimCommandPoolKHR = PFN_vkVoidFunction;
pub type PFN_vkGetMemoryFdKHR = PFN_vkVoidFunction;
pub type PFN_vkGetMemoryFdPropertiesKHR = PFN_vkVoidFunction;
pub type PFN_vkImportSemaphoreFdKHR = PFN_vkVoidFunction;
pub type PFN_vkGetSemaphoreFdKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdPushDescriptorSetKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdPushDescriptorSetWithTemplateKHR = PFN_vkVoidFunction;
pub type PFN_vkCreateDescriptorUpdateTemplateKHR = PFN_vkVoidFunction;
pub type PFN_vkDestroyDescriptorUpdateTemplateKHR = PFN_vkVoidFunction;
pub type PFN_vkUpdateDescriptorSetWithTemplateKHR = PFN_vkVoidFunction;
pub type PFN_vkCreateRenderPass2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginRenderPass2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdNextSubpass2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdEndRenderPass2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetSwapchainStatusKHR = PFN_vkVoidFunction;
pub type PFN_vkImportFenceFdKHR = PFN_vkVoidFunction;
pub type PFN_vkGetFenceFdKHR = PFN_vkVoidFunction;
pub type PFN_vkAcquireProfilingLockKHR = PFN_vkVoidFunction;
pub type PFN_vkReleaseProfilingLockKHR = PFN_vkVoidFunction;
pub type PFN_vkGetImageMemoryRequirements2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetBufferMemoryRequirements2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetImageSparseMemoryRequirements2KHR = PFN_vkVoidFunction;
pub type PFN_vkDestroySamplerYcbcrConversionKHR = PFN_vkVoidFunction;
pub type PFN_vkCreateSamplerYcbcrConversionKHR = PFN_vkVoidFunction;
pub type PFN_vkBindBufferMemory2KHR = PFN_vkVoidFunction;
pub type PFN_vkBindImageMemory2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetDescriptorSetLayoutSupportKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndirectCountKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndexedIndirectCountKHR = PFN_vkVoidFunction;
pub type PFN_vkGetSemaphoreCounterValueKHR = PFN_vkVoidFunction;
pub type PFN_vkWaitSemaphoresKHR = PFN_vkVoidFunction;
pub type PFN_vkSignalSemaphoreKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdSetFragmentShadingRateKHR = PFN_vkVoidFunction;
pub type PFN_vkWaitForPresentKHR = PFN_vkVoidFunction;
pub type PFN_vkGetBufferDeviceAddressKHR = PFN_vkVoidFunction;
pub type PFN_vkGetBufferOpaqueCaptureAddressKHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceMemoryOpaqueCaptureAddressKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPipelineExecutablePropertiesKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPipelineExecutableStatisticsKHR = PFN_vkVoidFunction;
pub type PFN_vkGetPipelineExecutableInternalRepresentationsKHR = PFN_vkVoidFunction;
pub type PFN_vkCmdSetEvent2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdResetEvent2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdWaitEvents2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdPipelineBarrier2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteTimestamp2KHR = PFN_vkVoidFunction;
pub type PFN_vkQueueSubmit2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteBufferMarker2AMD = PFN_vkVoidFunction;
pub type PFN_vkGetQueueCheckpointData2NV = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyBuffer2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyImage2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyBufferToImage2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyImageToBuffer2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdResolveImage2KHR = PFN_vkVoidFunction;
pub type PFN_vkCmdTraceRaysIndirect2KHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceBufferMemoryRequirementsKHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceImageMemoryRequirementsKHR = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceImageSparseMemoryRequirementsKHR = PFN_vkVoidFunction;
pub type PFN_vkDebugMarkerSetObjectTagEXT = PFN_vkVoidFunction;
pub type PFN_vkDebugMarkerSetObjectNameEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDebugMarkerBeginEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDebugMarkerEndEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDebugMarkerInsertEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBindTransformFeedbackBuffersEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginTransformFeedbackEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdEndTransformFeedbackEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginQueryIndexedEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdEndQueryIndexedEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndirectByteCountEXT = PFN_vkVoidFunction;
pub type PFN_vkCreateCuModuleNVX = PFN_vkVoidFunction;
pub type PFN_vkCreateCuFunctionNVX = PFN_vkVoidFunction;
pub type PFN_vkDestroyCuModuleNVX = PFN_vkVoidFunction;
pub type PFN_vkDestroyCuFunctionNVX = PFN_vkVoidFunction;
pub type PFN_vkCmdCuLaunchKernelNVX = PFN_vkVoidFunction;
pub type PFN_vkGetImageViewHandleNVX = PFN_vkVoidFunction;
pub type PFN_vkGetImageViewAddressNVX = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndirectCountAMD = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawIndexedIndirectCountAMD = PFN_vkVoidFunction;
pub type PFN_vkGetShaderInfoAMD = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginConditionalRenderingEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdEndConditionalRenderingEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetViewportWScalingNV = PFN_vkVoidFunction;
pub type PFN_vkDisplayPowerControlEXT = PFN_vkVoidFunction;
pub type PFN_vkRegisterDeviceEventEXT = PFN_vkVoidFunction;
pub type PFN_vkRegisterDisplayEventEXT = PFN_vkVoidFunction;
pub type PFN_vkGetSwapchainCounterEXT = PFN_vkVoidFunction;
pub type PFN_vkGetRefreshCycleDurationGOOGLE = PFN_vkVoidFunction;
pub type PFN_vkGetPastPresentationTimingGOOGLE = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDiscardRectangleEXT = PFN_vkVoidFunction;
pub type PFN_vkSetHdrMetadataEXT = PFN_vkVoidFunction;
pub type PFN_vkSetDebugUtilsObjectNameEXT = PFN_vkVoidFunction;
pub type PFN_vkSetDebugUtilsObjectTagEXT = PFN_vkVoidFunction;
pub type PFN_vkQueueBeginDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkQueueEndDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkQueueInsertDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBeginDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdEndDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdInsertDebugUtilsLabelEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetSampleLocationsEXT = PFN_vkVoidFunction;
pub type PFN_vkGetImageDrmFormatModifierPropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkCreateValidationCacheEXT = PFN_vkVoidFunction;
pub type PFN_vkDestroyValidationCacheEXT = PFN_vkVoidFunction;
pub type PFN_vkMergeValidationCachesEXT = PFN_vkVoidFunction;
pub type PFN_vkGetValidationCacheDataEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBindShadingRateImageNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetViewportShadingRatePaletteNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCoarseSampleOrderNV = PFN_vkVoidFunction;
pub type PFN_vkCreateAccelerationStructureNV = PFN_vkVoidFunction;
pub type PFN_vkDestroyAccelerationStructureNV = PFN_vkVoidFunction;
pub type PFN_vkGetAccelerationStructureMemoryRequirementsNV = PFN_vkVoidFunction;
pub type PFN_vkBindAccelerationStructureMemoryNV = PFN_vkVoidFunction;
pub type PFN_vkCmdBuildAccelerationStructureNV = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyAccelerationStructureNV = PFN_vkVoidFunction;
pub type PFN_vkCmdTraceRaysNV = PFN_vkVoidFunction;
pub type PFN_vkCreateRayTracingPipelinesNV = PFN_vkVoidFunction;
pub type PFN_vkGetRayTracingShaderGroupHandlesNV = PFN_vkVoidFunction;
pub type PFN_vkGetAccelerationStructureHandleNV = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteAccelerationStructuresPropertiesNV = PFN_vkVoidFunction;
pub type PFN_vkCompileDeferredNV = PFN_vkVoidFunction;
pub type PFN_vkGetMemoryHostPointerPropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteBufferMarkerAMD = PFN_vkVoidFunction;
pub type PFN_vkGetCalibratedTimestampsEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksNV = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksIndirectNV = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksIndirectCountNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetExclusiveScissorNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCheckpointNV = PFN_vkVoidFunction;
pub type PFN_vkGetQueueCheckpointDataNV = PFN_vkVoidFunction;
pub type PFN_vkInitializePerformanceApiINTEL = PFN_vkVoidFunction;
pub type PFN_vkUninitializePerformanceApiINTEL = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPerformanceMarkerINTEL = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPerformanceStreamMarkerINTEL = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPerformanceOverrideINTEL = PFN_vkVoidFunction;
pub type PFN_vkAcquirePerformanceConfigurationINTEL = PFN_vkVoidFunction;
pub type PFN_vkQueueSetPerformanceConfigurationINTEL = PFN_vkVoidFunction;
pub type PFN_vkGetPerformanceParameterINTEL = PFN_vkVoidFunction;
pub type PFN_vkSetLocalDimmingAMD = PFN_vkVoidFunction;
pub type PFN_vkGetBufferDeviceAddressEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetLineStippleEXT = PFN_vkVoidFunction;
pub type PFN_vkResetQueryPoolEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCullModeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPrimitiveTopologyEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetViewportWithCountEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetScissorWithCountEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBindVertexBuffers2EXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthTestEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthWriteEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthCompareOpEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthBoundsTestEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetStencilTestEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetStencilOpEXT = PFN_vkVoidFunction;
pub type PFN_vkGetGeneratedCommandsMemoryRequirementsNV = PFN_vkVoidFunction;
pub type PFN_vkCmdPreprocessGeneratedCommandsNV = PFN_vkVoidFunction;
pub type PFN_vkCmdExecuteGeneratedCommandsNV = PFN_vkVoidFunction;
pub type PFN_vkCmdBindPipelineShaderGroupNV = PFN_vkVoidFunction;
pub type PFN_vkCreateIndirectCommandsLayoutNV = PFN_vkVoidFunction;
pub type PFN_vkDestroyIndirectCommandsLayoutNV = PFN_vkVoidFunction;
pub type PFN_vkCreatePrivateDataSlotEXT = PFN_vkVoidFunction;
pub type PFN_vkDestroyPrivateDataSlotEXT = PFN_vkVoidFunction;
pub type PFN_vkSetPrivateDataEXT = PFN_vkVoidFunction;
pub type PFN_vkGetPrivateDataEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetFragmentShadingRateEnumNV = PFN_vkVoidFunction;
pub type PFN_vkGetImageSubresourceLayout2EXT = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceFaultInfoEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetVertexInputEXT = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceSubpassShadingMaxWorkgroupSizeHUAWEI = PFN_vkVoidFunction;
pub type PFN_vkCmdSubpassShadingHUAWEI = PFN_vkVoidFunction;
pub type PFN_vkCmdBindInvocationMaskHUAWEI = PFN_vkVoidFunction;
pub type PFN_vkGetMemoryRemoteAddressNV = PFN_vkVoidFunction;
pub type PFN_vkGetPipelinePropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPatchControlPointsEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetRasterizerDiscardEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthBiasEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetLogicOpEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPrimitiveRestartEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetColorWriteEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMultiEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMultiIndexedEXT = PFN_vkVoidFunction;
pub type PFN_vkCreateMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkDestroyMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBuildMicromapsEXT = PFN_vkVoidFunction;
pub type PFN_vkBuildMicromapsEXT = PFN_vkVoidFunction;
pub type PFN_vkCopyMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkCopyMicromapToMemoryEXT = PFN_vkVoidFunction;
pub type PFN_vkCopyMemoryToMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkWriteMicromapsPropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyMicromapToMemoryEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdCopyMemoryToMicromapEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdWriteMicromapsPropertiesEXT = PFN_vkVoidFunction;
pub type PFN_vkGetDeviceMicromapCompatibilityEXT = PFN_vkVoidFunction;
pub type PFN_vkGetMicromapBuildSizesEXT = PFN_vkVoidFunction;
pub type PFN_vkSetDeviceMemoryPriorityEXT = PFN_vkVoidFunction;
pub type PFN_vkGetDescriptorSetLayoutHostMappingInfoVALVE = PFN_vkVoidFunction;
pub type PFN_vkGetDescriptorSetHostMappingVALVE = PFN_vkVoidFunction;
pub type PFN_vkCmdSetTessellationDomainOriginEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthClampEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetPolygonModeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetRasterizationSamplesEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetSampleMaskEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetAlphaToCoverageEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetAlphaToOneEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetLogicOpEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetColorBlendEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetColorBlendEquationEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetColorWriteMaskEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetRasterizationStreamEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetConservativeRasterizationModeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetExtraPrimitiveOverestimationSizeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthClipEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetSampleLocationsEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetColorBlendAdvancedEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetProvokingVertexModeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetLineRasterizationModeEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetLineStippleEnableEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetDepthClipNegativeOneToOneEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetViewportWScalingEnableNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCoverageModulationModeNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCoverageModulationTableEnableNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCoverageModulationTableNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetShadingRateImageEnableNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetRepresentativeFragmentTestEnableNV = PFN_vkVoidFunction;
pub type PFN_vkCmdSetCoverageReductionModeNV = PFN_vkVoidFunction;
pub type PFN_vkGetShaderModuleIdentifierEXT = PFN_vkVoidFunction;
pub type PFN_vkGetShaderModuleCreateInfoIdentifierEXT = PFN_vkVoidFunction;
pub type PFN_vkCreateOpticalFlowSessionNV = PFN_vkVoidFunction;
pub type PFN_vkDestroyOpticalFlowSessionNV = PFN_vkVoidFunction;
pub type PFN_vkBindOpticalFlowSessionImageNV = PFN_vkVoidFunction;
pub type PFN_vkCmdOpticalFlowExecuteNV = PFN_vkVoidFunction;
pub type PFN_vkGetFramebufferTilePropertiesQCOM = PFN_vkVoidFunction;
pub type PFN_vkGetDynamicRenderingTilePropertiesQCOM = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksIndirectEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdDrawMeshTasksIndirectCountEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdSetFrontFaceEXT = PFN_vkVoidFunction;
pub type PFN_vkCmdBlitImage2KHR = PFN_vkVoidFunction;
